define(function() {
    // （1）数字を2桁にそろえるプライベート関数
    function pad2(num) {
        return ('0' + num).slice(-2);
    }

    // formatDate関数の定義
    function formatDate(date, formatStr) {
        return formatStr.
            replace('%Y', date.getFullYear()).
            replace('%m', pad2(date.getMonth() + 1)).
            replace('%d', pad2(date.getDate())).
            replace('%H', pad2(date.getHours())).
            replace('%M', pad2(date.getMinutes())).
            replace('%S', pad2(date.getSeconds()));
    }

    // （2）formatDate関数のみを公開
    return {
        formatDate: formatDate
    };
});
